> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute instance action

> The action can be one of: start, stop, reboot, powercycle, suspend or resume.
Suspend and resume are not available for bare metal instances.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml post /cloud/v2/instances/{project_id}/{region_id}/{instance_id}/action
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 5ef57c94b74e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v2/instances/{project_id}/{region_id}/{instance_id}/action:
    post:
      tags:
        - Instances
      summary: Execute instance action
      description: >-
        The action can be one of: start, stop, reboot, powercycle, suspend or
        resume.

        Suspend and resume are not available for bare metal instances.
      operationId: InstanceActionHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: instance_id
          required: true
          description: Instance ID
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstanceActionSerializerPydantic'
      responses:
        '200':
          description: List of created tasks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
        '400':
          description: Wrong action
        '404':
          description: Instance was not found
components:
  schemas:
    InstanceActionSerializerPydantic:
      anyOf:
        - $ref: '#/components/schemas/StartActionInstanceSerializer'
        - $ref: '#/components/schemas/BasicActionInstanceSerializer'
      title: InstanceActionSerializerPydantic
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    StartActionInstanceSerializer:
      properties:
        action:
          const: start
          description: Instance action name
          example: start
          examples:
            - start
          title: Action
          type: string
        activate_profile:
          anyOf:
            - type: boolean
            - type: 'null'
          default: true
          description: Used on start instance to activate Advanced DDoS profile
          examples:
            - true
          title: Activate Profile
      required:
        - action
      title: StartActionInstanceSerializer
      type: object
    BasicActionInstanceSerializer:
      properties:
        action:
          description: Instance action name
          enum:
            - reboot
            - reboot_hard
            - resume
            - stop
            - suspend
          example: stop
          examples:
            - stop
          title: Action
          type: string
      required:
        - action
      title: BasicActionInstanceSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````